import supported from "./supported.json";
export const supportedDocs = supported.docs;
export const supportedTutorials = supported.tutorials;
export async function getDoc(lang, resource) {
    if (supported.docs.includes(lang)) {
        const doc = await import(`./docs/${lang}/${resource}.json`);
        return doc;
    }
    return false;
}
export async function getTutorial(lang, lesson) {
    if (supported.tutorials.includes(lang)) {
        const lessonFile = await import(`./tutorials/${lang}/${lesson}.json`);
        return lessonFile;
    }
    return false;
}
export async function getTutorialDirectory(lang) {
    if (supported.tutorials.includes(lang)) {
        const directory = await import(`./tutorials/${lang}/directory.json`);
        return directory.default;
    }
    return false;
}
//# sourceMappingURL=index.js.map